"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const fs = require("fs");
const path = require("path");
const commandpost = require("commandpost");
const Bootstrap_1 = require("./Bootstrap");
const packageJson = JSON.parse(fs.readFileSync(path.resolve(__dirname, "../package.json"), "utf8"));
const root = commandpost
    .create("cowlick-export-electron-bootstrap")
    .version(packageJson.version, "-v, --version")
    .action(() => {
    return Bootstrap_1.bootstrap(process.cwd());
});
commandpost
    .exec(root, process.argv)
    .then(() => {
    process.stdout.write("");
    process.exit(0);
}, err => {
    console.error("uncaught error", err);
    if (err.stack) {
        console.error(err.stack);
    }
    process.stdout.write("");
    process.exit(1);
});
